package com.develop.foodcooking

import android.os.Bundle
import android.view.LayoutInflater
import com.develop.food.base.api.FoodRepository
import com.develop.food.base.http.observeStatus
import com.develop.food.base.ui.BaseActivity
import com.develop.food.base.utils.MmkvUtils
import com.develop.food.base.router.navigateTo
import com.develop.foodcooking.databinding.ActivityMainBinding
import com.develop.food.base.router.Screens
import com.develop.food.base.utils.TopResumedActivityHolder
import com.develop.food.base.widgets.RecipeUpdateDialog

class MainActivity : BaseActivity<ActivityMainBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        if (MmkvUtils.getBool("isFirstIn")){
            navigateTo(Screens.Main.ENTRANCE_CHOSEN)
        } else {
            navigateTo(Screens.Setting.ANIMATION)
        }



        finish()
    }

    override fun createViewBinding(inflater: LayoutInflater): ActivityMainBinding {
        return ActivityMainBinding.inflate(layoutInflater)
    }
}